# Type alias IPFSContent

IPFSContent: {
availableDownload?: boolean;
cid: string;
contentUrl?: string;
meta: IPFSContentMeta;
result?: Uint8ArrayLike;
source: IpfsContentSource;
textPreview?: string;
}

#### Type declaration

- ##### `Optional` availableDownload?: boolean

- ##### cid: string

- ##### `Optional` contentUrl?: string

- ##### meta: IPFSContentMeta

- ##### `Optional` result?: Uint8ArrayLike

- ##### source: IpfsContentSource

- ##### `Optional` textPreview?: string

- Defined in work/deeplinks/deeplinks/imports/cyber/ipfs/ipfs.ts:107